> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browserbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Replay Page

> Returns an HLS VOD media playlist (.m3u8) for a specific page of a session replay.



## OpenAPI

````yaml get /v1/sessions/{id}/replays/{pageId}
openapi: 3.0.0
info:
  title: Browserbase API
  description: Browserbase API for 3rd party developers
  version: v1
servers:
  - url: https://api.browserbase.com
    description: Public endpoint
    variables: {}
security:
  - BrowserbaseAuth: []
tags: []
paths:
  /v1/sessions/{id}/replays/{pageId}:
    get:
      summary: Get Replay Page
      description: >-
        Returns an HLS VOD media playlist (.m3u8) for a specific page of a
        session replay.
      operationId: Sessions_getReplayPage
      parameters:
        - name: id
          in: path
          description: Session ID
          required: true
          schema:
            type: string
            format: uuid
        - name: pageId
          in: path
          required: true
          schema:
            type: string
            maxLength: 3
            pattern: ^\d+$
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/vnd.apple.mpegurl:
              schema:
                type: string
components:
  securitySchemes:
    BrowserbaseAuth:
      type: apiKey
      in: header
      name: X-BB-API-Key
      description: Your [Browserbase API Key](https://www.browserbase.com/settings).

````